libxml2: debugXML.h File Reference

libxml2

Loading...
Searching...
No Matches
Functions
debugXML.h File Reference

Tree debugging APIs. More...

## Functions
void | xmlDebugDumpString (FILE *output, const xmlChar *str)
| Dumps information about the string, shorten it if necessary.
void | xmlDebugDumpAttr (FILE *output, xmlAttr *attr, int depth)
| Dumps debug information for the attribute.
void | xmlDebugDumpAttrList (FILE *output, xmlAttr *attr, int depth)
| Dumps debug information for the attribute list.
void | xmlDebugDumpOneNode (FILE *output, xmlNode *node, int depth)
| Dumps debug information for the element node, it is not recursive.
void | xmlDebugDumpNode (FILE *output, xmlNode *node, int depth)
| Dumps debug information for the element node, it is recursive.
void | xmlDebugDumpNodeList (FILE *output, xmlNode *node, int depth)
| Dumps debug information for the list of element node, it is recursive.
void | xmlDebugDumpDocumentHead (FILE *output, xmlDoc *doc)
| Dumps debug information concerning the document, not recursive.
void | xmlDebugDumpDocument (FILE *output, xmlDoc *doc)
| Dumps debug information for the document, it's recursive.
void | xmlDebugDumpDTD (FILE *output, xmlDtd *dtd)
| Dumps debug information for the DTD.
void | xmlDebugDumpEntities (FILE *output, xmlDoc *doc)
| Dumps debug information for all the entities in use by the document.
int | xmlDebugCheckDocument (FILE *output, xmlDoc *doc)
| Check the document for potential content problems, and output the errors to `output`

## Detailed Description

Tree debugging APIs.

Interfaces to a set of routines used for debugging the tree produced by the XML parser.

Copyright
  See Copyright for the status of this software.

Author
  Daniel Veillard

## Function Documentation

## ◆ xmlDebugCheckDocument()

int xmlDebugCheckDocument | ( | FILE * | output,
|  | xmlDoc * | doc
| ) |  |

Check the document for potential content problems, and output the errors to `output`

Parameters

  output | the FILE * for the output
  doc | the document

Returns
  the number of errors found

## ◆ xmlDebugDumpAttr()

void xmlDebugDumpAttr | ( | FILE * | output,
|  | xmlAttr * | attr,
|  | int | depth
| ) |  |

Dumps debug information for the attribute.

Parameters

  output | the FILE * for the output
  attr | the attribute
  depth | the indentation level.

## ◆ xmlDebugDumpAttrList()

void xmlDebugDumpAttrList | ( | FILE * | output,
|  | xmlAttr * | attr,
|  | int | depth
| ) |  |

Dumps debug information for the attribute list.

Parameters

  output | the FILE * for the output
  attr | the attribute list
  depth | the indentation level.

## ◆ xmlDebugDumpDocument()

void xmlDebugDumpDocument | ( | FILE * | output,
|  | xmlDoc * | doc
| ) |  |

Dumps debug information for the document, it's recursive.

Parameters

  output | the FILE * for the output
  doc | the document

## ◆ xmlDebugDumpDocumentHead()

void xmlDebugDumpDocumentHead | ( | FILE * | output,
|  | xmlDoc * | doc
| ) |  |

Dumps debug information concerning the document, not recursive.

Parameters

  output | the FILE * for the output
  doc | the document

## ◆ xmlDebugDumpDTD()

void xmlDebugDumpDTD | ( | FILE * | output,
|  | xmlDtd * | dtd
| ) |  |

Dumps debug information for the DTD.

Parameters

  output | the FILE * for the output
  dtd | the DTD

## ◆ xmlDebugDumpEntities()

void xmlDebugDumpEntities | ( | FILE * | output,
|  | xmlDoc * | doc
| ) |  |

Dumps debug information for all the entities in use by the document.

Parameters

  output | the FILE * for the output
  doc | the document

## ◆ xmlDebugDumpNode()

void xmlDebugDumpNode | ( | FILE * | output,
|  | xmlNode * | node,
|  | int | depth
| ) |  |

Dumps debug information for the element node, it is recursive.

Parameters

  output | the FILE * for the output
  node | the node
  depth | the indentation level.

## ◆ xmlDebugDumpNodeList()

void xmlDebugDumpNodeList | ( | FILE * | output,
|  | xmlNode * | node,
|  | int | depth
| ) |  |

Dumps debug information for the list of element node, it is recursive.

Parameters

  output | the FILE * for the output
  node | the node list
  depth | the indentation level.

## ◆ xmlDebugDumpOneNode()

void xmlDebugDumpOneNode | ( | FILE * | output,
|  | xmlNode * | node,
|  | int | depth
| ) |  |

Dumps debug information for the element node, it is not recursive.

Parameters

  output | the FILE * for the output
  node | the node
  depth | the indentation level.

## ◆ xmlDebugDumpString()

void xmlDebugDumpString | ( | FILE * | output,
|  | const xmlChar * | str
| ) |  |

Dumps information about the string, shorten it if necessary.

Parameters

  output | the FILE * for the output
  str | the string